<?php
session_start();
if (isset($_SESSION['loggedinadmin']) && $_SESSION['loggedinadmin'] === true) {
    header('Location: index.php');
    exit;
}

$error = '';
if ($_SERVER["REQUEST_METHOD"] == "POST") {
	$username = $_POST['user'];
	$password = $_POST['pass'];

	if ($username === 'X' && $password === 'x') {
		$_SESSION['loggedinadmin'] = true;
		header('Location: index.php');
		exit;
	} else {
		// Login error, display the error message
		$error = "Invalid username or password";
	}
}
?>

<html lang="en" class="dark" dir="ltr" style="">
<plasmo-csui></plasmo-csui>

<head>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="theme-color" content="#090a0b" />
	<link rel="preload" href="assets/style.css" as="style" />
	<meta charset="utf-8" />
	<title>Multipanel Access</title>
	<link rel="stylesheet" href="assets/style.css" />
	<link rel="icon" type="image/x-icon" href="assets/favicon.svg">

</head>

<body>
	<div class="MuiBox-root mui-1ohz6ht">
		<div class="MuiBox-root mui-69ddzo">
			<div class="MuiStack-root mui-1yjq1it">
				<div style="display: flex;justify-content: center;align-items: center;"><svg
						class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium css-1ji6nvs" fill="none"
						xmlns="http://www.w3.org/2000/svg" style="width: 40px;height: 40px;margin-right: 15px;"
						viewBox="0 0 20 19">
						<path fill="#B4C0D3"
							d="m.787 12.567 6.055-2.675 3.485 2.006.704 6.583-4.295-.035.634-4.577-.74-.422-3.625 2.817-2.218-3.697Z"
							style=""></path>
						<path fill="#00D3AB"
							d="m10.714 11.616 5.352 3.908 2.112-3.767-4.295-1.725v-.845l4.295-1.76-2.112-3.732-5.352 3.908v4.013Z">
						</path>
						<path fill="#4876EF"
							d="m10.327 7.286.704-6.583-4.295.07.634 4.577-.74.422-3.66-2.816L.786 6.617l6.055 2.676 3.485-2.007Z">
						</path>
					</svg>MultiPanel</div>
				<div class="MuiPaper-root MuiPaper-elevation MuiPaper-rounded MuiPaper-elevation1 MuiCard-root mui-18r56rm"
					style="--Paper-shadow: var(--mui-shadows-1); --Paper-overlay: var(--mui-overlays-1)">
					<div class="MuiCardHeader-root mui-10to7so">
						<div class="MuiCardHeader-content mui-1xy5ovk">
							<span class="MuiTypography-root MuiTypography-h6 MuiCardHeader-title mui-191qdio">Sign
								in</span>
							<span class="MuiTypography-root MuiTypography-body2 MuiCardHeader-subheader mui-1mnxsx4">
								<p class="MuiTypography-root MuiTypography-body2 mui-96020l">
									Get access to the multipanel.
								</p>
							</span>
						</div> 
					</div>
					<div id="error" style="display: none; align-items: center; font-size: 13px; background: rgb(178, 48, 48); padding: 15px 10px 15px 19px; border-radius: 10px;margin-left: 28px;margin-right: 28px;">
							<span style="padding-left: 9px;">Wrong login details. Try again</span>
						</div>
					<form action="" id="loginForm" method="post">
						<div class="MuiCardContent-root mui-18s85xs">
							<div class="MuiStack-root mui-1a8w2hw">
								<div class="MuiStack-root mui-1a8w2hw">
									<div class="MuiFormControl-root mui-13sljp9">
										<label
											class="MuiFormLabel-root MuiInputLabel-root MuiInputLabel-formControl MuiInputLabel-animated MuiInputLabel-sizeMedium MuiInputLabel-outlined MuiFormLabel-colorPrimary MuiInputLabel-root MuiInputLabel-formControl MuiInputLabel-animated MuiInputLabel-sizeMedium MuiInputLabel-outlined mui-5q00h6"
											data-shrink="false">Username</label>
										<div
											class="MuiInputBase-root MuiOutlinedInput-root MuiInputBase-colorPrimary MuiInputBase-formControl mui-1rnwxql">
											<input aria-invalid="false" type="text"
												class="MuiInputBase-input MuiOutlinedInput-input mui-71rr8u"
												name="user" />
											<fieldset aria-hidden="true"
												class="MuiOutlinedInput-notchedOutline mui-1bgxk60">
												<legend class="mui-gpjuor"><span class="notranslate">​</span></legend>
											</fieldset>
										</div>
									</div>
									<div class="MuiFormControl-root mui-13sljp9">
										<label
											class="MuiFormLabel-root MuiInputLabel-root MuiInputLabel-formControl MuiInputLabel-animated MuiInputLabel-sizeMedium MuiInputLabel-outlined MuiFormLabel-colorPrimary MuiInputLabel-root MuiInputLabel-formControl MuiInputLabel-animated MuiInputLabel-sizeMedium MuiInputLabel-outlined mui-5q00h6"
											data-shrink="false">Password</label>
										<div
											class="MuiInputBase-root MuiOutlinedInput-root MuiInputBase-colorPrimary MuiInputBase-formControl mui-1rnwxql">
											<input aria-invalid="false" type="password"
												class="MuiInputBase-input MuiOutlinedInput-input mui-71rr8u"
												name="pass" />
											<fieldset aria-hidden="true"
												class="MuiOutlinedInput-notchedOutline mui-1bgxk60">
												<legend class="mui-gpjuor"><span class="notranslate">​</span></legend>
											</fieldset>
										</div>
									</div>
									<button
										class="MuiButtonBase-root MuiButton-root MuiButton-contained MuiButton-containedPrimary MuiButton-sizeMedium MuiButton-containedSizeMedium MuiButton-colorPrimary MuiButton-root MuiButton-contained MuiButton-containedPrimary MuiButton-sizeMedium MuiButton-containedSizeMedium MuiButton-colorPrimary mui-13r6yqt"
										tabindex="0" type="submit">Sign in</button>
								</div>
							</div>
						</div>
					</form>

				</div>
			</div>
		</div>
	</div>
	<div class="simplelogin-extension--button-wrapper"
		style="height: 38px; width: 38px; left: 640.74px; top: 370.273px">
		<div class="simplelogin-extension--button" style="height: 38px; width: 38px"></div>
	</div>
</body>

<script>
	var error = "<?php echo $error; ?>";
	if (error !== "") {
		document.getElementById("error").style.display = "flex";
		setTimeout(function () {
			document.getElementById("error").style.display = "none";
		}, 3000);
	}
</script>

</html>