<?php
// Include database configuration
require_once '../db_config.php';

// Get the user ID from the POST request
if (!empty($_POST['userId'])) {
    $userId = $_POST['userId'];

    // Database connection
    $conn = new mysqli($servername, $username, $password, $dbname);

    // Check connection
    if ($conn->connect_error) {
        die("Connection failed: ". $conn->connect_error);
    }

    // SQL to select user data by ID
    $sql = "SELECT id, username, password, status FROM admin_users WHERE id =?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $userId);

    // Execute the statement
    $stmt->execute();
    $result = $stmt->get_result();

    // Fetch the result as an associative array
    $userData = $result->fetch_assoc();

    // Return the user data as JSON
    echo json_encode($userData);

    // Close the database connection
    $stmt->close();
    $conn->close();
} else {
    echo "No user ID provided.";
}
?>