<?php
// delete_user.php
ini_set('log_errors', 1);
ini_set('error_log', 'error.log');

// Include your database connection script
require_once 'db_config.php';

$postData = file_get_contents('php://input');

// Decode the JSON data into a PHP object
$data = json_decode($postData);

// Now you can access the userId property
$userId = $data->userId;
 
// Prepare and execute the SQL statement to delete the user
$sql = "DELETE FROM main WHERE user_id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("s", $userId);

if ($stmt->execute()) {
    echo "User deleted successfully.";
} else {
    echo "Error deleting user: " . $stmt->error;
}

// Close the database connection
$stmt->close();
$conn->close();
?>