<?php
// Include database connection file
require_once 'db_config.php';

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Prepare the SQL query to truncate the table
    $sql = "TRUNCATE TABLE main";

    // Execute the query
    $result = mysqli_query($conn, $sql);

    // Check if the query was successful
    if ($result) {
        // Return a success message
        echo json_encode(['message' => 'Table truncated successfully.']);
    } else {
        // Return an error message
        echo json_encode(['error' => 'Error truncating table.']);
    }
} else {
    // Close the database connection
    mysqli_close($conn);
}
?>